FDA approvals, clinical trials, and PDUFA dates
curl --request GET \
--url 'https://api.benzinga.com/api/v2.1/calendar/fda?token=' \
--header 'accept: <accept>'import requests
url = "https://api.benzinga.com/api/v2.1/calendar/fda?token="
headers = {"accept": "<accept>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {accept: '<accept>'}};
fetch('https://api.benzinga.com/api/v2.1/calendar/fda?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.benzinga.com/api/v2.1/calendar/fda?token=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"accept: <accept>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.benzinga.com/api/v2.1/calendar/fda?token="
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("accept", "<accept>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.benzinga.com/api/v2.1/calendar/fda?token=")
.header("accept", "<accept>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.benzinga.com/api/v2.1/calendar/fda?token=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = '<accept>'
response = http.request(request)
puts response.read_body{
"fda": [
{
"commentary": "",
"companies": [
{
"cik": "",
"id": "62b3773a118ebc0001427b67",
"name": "Alpha Tau Medical Ltd.",
"securities": [
{
"exchange": "NASDAQ",
"symbol": "DRTS"
}
]
}
],
"created": 1767621777,
"date": "2026-01-05",
"drug": {
"generic": false,
"id": "62b3771c9c3cd100011418ce",
"indication_symptom": [
"Prostate cancer"
],
"name": "Alpha DaRT"
},
"event_type": "Provided Update",
"id": "695bc49183cac20001bec514",
"nic_number": "",
"notes": "",
"outcome": "Alpha Tau Medical Ltd. announced the submission of the first module of its pre-market approval (PMA) application to the U.S. Food and Drug Administration (FDA), following the FDA's previous decision to allow the Company to use the more flexible modular approach.",
"outcome_brief": "",
"source_link": "https://www.benzinga.com/pressreleases/26/01/g49690927/alpha-tau-submits-first-pre-market-approval-module-to-the-fda-for-alpha-dart-for-the-treatment-of-",
"source_type": "Press Release",
"status": "",
"target_date": "",
"time": "09:00:00",
"updated": 1767621823
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Calendars
FDA
Returns FDA approvals, clinical trials, and PDUFA (Prescription Drug User Fee Act) dates for pharmaceutical and biotech companies. Includes information about drug development stages, trial results, approval outcomes, and regulatory milestones.
GET
/
api
/
v2.1
/
calendar
/
fda
FDA approvals, clinical trials, and PDUFA dates
curl --request GET \
--url 'https://api.benzinga.com/api/v2.1/calendar/fda?token=' \
--header 'accept: <accept>'import requests
url = "https://api.benzinga.com/api/v2.1/calendar/fda?token="
headers = {"accept": "<accept>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {accept: '<accept>'}};
fetch('https://api.benzinga.com/api/v2.1/calendar/fda?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.benzinga.com/api/v2.1/calendar/fda?token=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"accept: <accept>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.benzinga.com/api/v2.1/calendar/fda?token="
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("accept", "<accept>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.benzinga.com/api/v2.1/calendar/fda?token=")
.header("accept", "<accept>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.benzinga.com/api/v2.1/calendar/fda?token=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = '<accept>'
response = http.request(request)
puts response.read_body{
"fda": [
{
"commentary": "",
"companies": [
{
"cik": "",
"id": "62b3773a118ebc0001427b67",
"name": "Alpha Tau Medical Ltd.",
"securities": [
{
"exchange": "NASDAQ",
"symbol": "DRTS"
}
]
}
],
"created": 1767621777,
"date": "2026-01-05",
"drug": {
"generic": false,
"id": "62b3771c9c3cd100011418ce",
"indication_symptom": [
"Prostate cancer"
],
"name": "Alpha DaRT"
},
"event_type": "Provided Update",
"id": "695bc49183cac20001bec514",
"nic_number": "",
"notes": "",
"outcome": "Alpha Tau Medical Ltd. announced the submission of the first module of its pre-market approval (PMA) application to the U.S. Food and Drug Administration (FDA), following the FDA's previous decision to allow the Company to use the more flexible modular approach.",
"outcome_brief": "",
"source_link": "https://www.benzinga.com/pressreleases/26/01/g49690927/alpha-tau-submits-first-pre-market-approval-module-to-the-fda-for-alpha-dart-for-the-treatment-of-",
"source_type": "Press Release",
"status": "",
"target_date": "",
"time": "09:00:00",
"updated": 1767621823
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
{
"fda": [
{
"commentary": "",
"companies": [
{
"cik": "",
"id": "62b3773a118ebc0001427b67",
"name": "Alpha Tau Medical Ltd.",
"securities": [
{
"exchange": "NASDAQ",
"symbol": "DRTS"
}
]
}
],
"created": 1767621777,
"date": "2026-01-05",
"drug": {
"generic": false,
"id": "62b3771c9c3cd100011418ce",
"indication_symptom": [
"Prostate cancer"
],
"name": "Alpha DaRT"
},
"event_type": "Provided Update",
"id": "695bc49183cac20001bec514",
"nic_number": "",
"notes": "",
"outcome": "Alpha Tau Medical Ltd. announced the submission of the first module of its pre-market approval (PMA) application to the U.S. Food and Drug Administration (FDA), following the FDA's previous decision to allow the Company to use the more flexible modular approach.",
"outcome_brief": "",
"source_link": "https://www.benzinga.com/pressreleases/26/01/g49690927/alpha-tau-submits-first-pre-market-approval-module-to-the-fda-for-alpha-dart-for-the-treatment-of-",
"source_type": "Press Release",
"status": "",
"target_date": "",
"time": "09:00:00",
"updated": 1767621823
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Headers
Query Parameters
Some date fields (such as the FDA calendar target date) include fuzzy dates such as 2021-Q1. When filtering, you may choose to allow fuzzy date matching, or strict date matching that searches for ONLY dates that have an exact match within the given date period. Default TRUE
Was this page helpful?